Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class SessionOption

    java.lang.Object
      |
      +--com.compoze.collab.SessionPropertyElement
            |
            +--com.compoze.collab.SessionOption

All Implemented Interfaces:
  java.io.Serializable

public class SessionOption
extends SessionPropertyElement
implements java.io.Serializable

Implements an option to a session property.

See Also:
  Serialized Form

Method Summary
`SessionProperty[]` | `getSubProperties()` Gets the new sub-properties that are available if this option has been selected.
`boolean` | `hasSubProperties()` Determines if the option has sub-properties associated with it.
`boolean` | `isDefault()` Determines if this option is the default of the available session options.

Methods inherited from class com.compoze.collab.SessionPropertyElement
`getAdminDescription, getInternalName, getResource, getShortUserDescription, getUserDescription, getUserName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isDefault

    public boolean isDefault()

  Determines if this option is the default of the available session options.
  Returns:
    `true` if this option is the default of the available session options

### getSubProperties

    public SessionProperty[] getSubProperties()

  Gets the new sub-properties that are available if this option has been selected.
  Returns:
    a copy of the sub-properties (not `null`)

### hasSubProperties

    public boolean hasSubProperties()

  Determines if the option has sub-properties associated with it.
  Returns:
    `true` if there are sub-properties associated with the option

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.